Bio::DB::SeqVersion(3)

NAME
Bio::DB::SeqVersion - front end to querying databases for identifier versions

SYNOPSIS
  use Bio::DB::SeqVersion;

  my $query = Bio::DB::SeqVersion->new(-type => 'gi');

  my @all_gis = $query->get_all(2);

  my $live_gi = $query->get_recent(2);

DESCRIPTION
The default type is 'gi'.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Brian Osborne
Email bosborne at alum.mit.edu

CONTRIBUTORS
Torsten Seemann - torsten.seemann AT infotech.monash.edu.au

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Usage   : my $obj = Bio::DB::SeqVersion->new();
 Function: Create a Bio::DB::SeqVersion object
 Returns : An instance of Bio::DB::SeqVersion
 Args    : -type      Identifier namespace, default is 'gi'

  get_recent()
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  get_all()
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _load_seqversion_module
 Title   : _load_seqversion_module
 Usage   : Used internally
 Function: Loads up a module at run time on demand
 Example :
 Returns :
 Args    : Name of identifier type

  default_id_type
 Title   : default_id_type
 Usage   : my $type = $self->default_id_type
 Function: Returns default identifier type for this module
 Returns : string
 Args    : none